## org.eclipse.emf.compare.diff.service
Interface IDiffEngineSelector

    public interface IDiffEngineSelector

This can be subclassed for clients to display a diff engine selector to users when more than a single diff engine are defined on the same file extension.

Since:
  1.0

Method Summary
`DiffEngineDescriptor` `selectDiffEngine(java.util.List<DiffEngineDescriptor> engines)` Implements the actual engine selection.

Method Detail

### selectDiffEngine

    DiffEngineDescriptor selectDiffEngine(java.util.List<DiffEngineDescriptor> engines)

  Implements the actual engine selection.

  Parameters:
    `engines` - List of all candidates.
  Returns:
    Engine the user selected.

Copyright 2006 IBM Corporation and others. All Rights Reserved.